diff --git a/pkg/win32/installer.iss.in b/pkg/win32/installer.iss.in
index a06ef21ee..a0decbf88 100644
--- a/pkg/win32/installer.iss.in
+++ b/pkg/win32/installer.iss.in
@@ -199,7 +199,7 @@ begin
   else
   begin
     // Suppose system is running a 32-bit version of Windows then no need to check HKLM64 in RegQueryStringValue
-    // So IsWin64 - will make sure its should only execute on 64-bit veersion of windows.
+    // So IsWin64 - will make sure its should only execute on 64-bit version of windows.
     if IsWin64 then
 	begin
         // Check if pgAdmin 64 bit is already installed
diff --git a/web/config.py b/web/config.py
index ce64f6c73..67083c382 100644
--- a/web/config.py
+++ b/web/config.py
@@ -300,7 +300,7 @@ LOG_ROTATION_MAX_LOG_FILES = 90  # Maximum number of backups to retain
 ##########################################################################
 
 # The default driver used for making connection with PostgreSQL
-PG_DEFAULT_DRIVER = 'psycopg2'
+PG_DEFAULT_DRIVER = 'psycopg3'
 
 # Maximum allowed idle time in minutes before which releasing the connection
 # for the particular session. (in minutes)
diff --git a/web/pgadmin/browser/server_groups/servers/__init__.py b/web/pgadmin/browser/server_groups/servers/__init__.py
index 62afc31c5..f054dcef5 100644
--- a/web/pgadmin/browser/server_groups/servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/__init__.py
@@ -28,7 +28,7 @@ from pgadmin.utils.driver import get_driver
 from pgadmin.utils.master_password import get_crypt_key
 from pgadmin.utils.exception import CryptKeyMissing
 from pgadmin.tools.schema_diff.node_registry import SchemaDiffRegistry
-from psycopg2 import Error as psycopg2_Error, OperationalError
+from psycopg import Error as psycopg_Error, OperationalError
 from pgadmin.browser.server_groups.servers.utils import is_valid_ipaddress
 from pgadmin.utils.constants import UNAUTH_REQ, MIMETYPE_APP_JS, \
     SERVER_CONNECTION_CLOSED
@@ -231,7 +231,7 @@ class ServerModule(sg.ServerGroupPluginModule):
             except CryptKeyMissing:
                 # show the nodes at least even if not able to connect.
                 pass
-            except psycopg2_Error as e:
+            except psycopg_Error as e:
                 current_app.logger.exception(e)
                 errmsg = str(e)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
index 3eb369f49..675927036 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/__init__.py
@@ -473,7 +473,7 @@ class DatabaseView(PGChildNodeView):
         SQL = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             did=did, conn=self.conn, last_system_oid=0,
-            show_system_objects=self.blueprint.show_system_objects,
+            show_system_objects=self.blueprint.show_system_objects
         )
         status, res = self.conn.execute_dict(SQL)
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
index 8d9fa3686..7e7a46f8a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/__init__.py
@@ -348,7 +348,8 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
             "/".join([self.template_path, self._PROPERTIES_SQL]),
             cid=cid,
             datlastsysoid=last_system_oid,
-            showsysobj=self.blueprint.show_system_objects
+            showsysobj=self.blueprint.show_system_objects,
+            conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -408,7 +409,8 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
                 srctyp=data['srctyp'],
                 trgtyp=data['trgtyp'],
                 datlastsysoid=last_system_oid,
-                showsysobj=self.blueprint.show_system_objects
+                showsysobj=self.blueprint.show_system_objects,
+                conn=self.conn
             )
             status, cid = self.conn.execute_scalar(sql)
             if not status:
@@ -584,7 +586,8 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
                 "/".join([self.template_path, self._PROPERTIES_SQL]),
                 cid=cid,
                 datlastsysoid=last_system_oid,
-                showsysobj=self.blueprint.show_system_objects
+                showsysobj=self.blueprint.show_system_objects,
+                conn=self.conn
             )
             status, res = self.conn.execute_dict(sql)
 
@@ -599,7 +602,7 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
             old_data = res['rows'][0]
             sql = render_template(
                 "/".join([self.template_path, self._UPDATE_SQL]),
-                data=data, o_data=old_data
+                data=data, o_data=old_data, conn=self.conn
             )
             return sql, data['name'] if 'name' in data else old_data['name']
         else:
@@ -630,7 +633,8 @@ class CastView(PGChildNodeView, SchemaDiffObjectCompare):
         sql = render_template("/".join([self.template_path,
                                         self._FUNCTIONS_SQL]),
                               srctyp=data['srctyp'],
-                              trgtyp=data['trgtyp'])
+                              trgtyp=data['trgtyp'],
+                              conn=self.conn)
         status, rset = self.conn.execute_dict(sql)
 
         if not status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
index 8fbd0ac8d..2ef30dd2a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/casts/tests/utils.py
@@ -158,11 +158,11 @@ def create_cast(server, source_type, target_type):
                                        server['port'],
                                        server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute("CREATE CAST (%s AS %s) WITHOUT"
                           " FUNCTION AS IMPLICIT" % (source_type, target_type))
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
 
         # Get 'oid' from newly created cast
diff --git a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
index ce225106b..5f1302932 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/event_triggers/tests/utils.py
@@ -13,7 +13,8 @@ import traceback
 import os
 import json
 
-from regression.python_test_utils.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection,\
+    set_isolation_level
 from regression.python_test_utils import test_utils as utils
 
 CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
@@ -46,12 +47,12 @@ def create_event_trigger(server, db_name, schema_name, func_name,
                                        server['port'],
                                        server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute('''CREATE EVENT TRIGGER "%s" ON DDL_COMMAND_END
          EXECUTE PROCEDURE "%s"."%s"()''' % (trigger_name, schema_name,
                                              func_name))
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created event trigger
         pg_cursor.execute(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
index f198b6b86..79ea56fc2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/__init__.py
@@ -158,7 +158,8 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         Fetches all extensions properties and render into properties tab
         """
         SQL = render_template("/".join([self.template_path,
-                                        self._PROPERTIES_SQL]))
+                                        self._PROPERTIES_SQL]),
+                              conn=self.conn)
         status, res = self.conn.execute_dict(SQL)
 
         if not status:
@@ -175,7 +176,8 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         res = []
         SQL = render_template("/".join([self.template_path,
-                                        self._PROPERTIES_SQL]))
+                                        self._PROPERTIES_SQL]),
+                              conn=self.conn)
         status, rset = self.conn.execute_2darray(SQL)
         if not status:
             return internal_server_error(errormsg=rset)
@@ -201,7 +203,7 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         SQL = render_template("/".join([self.template_path,
                                         self._PROPERTIES_SQL]),
-                              eid=eid)
+                              eid=eid, conn=self.conn)
         status, rset = self.conn.execute_2darray(SQL)
         if not status:
             return internal_server_error(errormsg=rset)
@@ -241,7 +243,8 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         :return:
         """
         SQL = render_template("/".join(
-            [self.template_path, self._PROPERTIES_SQL]), eid=eid)
+            [self.template_path, self._PROPERTIES_SQL]), eid=eid,
+            conn=self.conn)
         status, res = self.conn.execute_dict(SQL)
         if not status:
             return False, internal_server_error(errormsg=res)
@@ -424,7 +427,7 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         if eid is not None:
             SQL = render_template("/".join(
                 [self.template_path, self._PROPERTIES_SQL]
-            ), eid=eid)
+            ), eid=eid, conn=self.conn)
             status, res = self.conn.execute_dict(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
@@ -483,7 +486,7 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         SQL = render_template("/".join(
             [self.template_path, self._PROPERTIES_SQL]
-        ), eid=eid)
+        ), eid=eid, conn=self.conn)
         status, res = self.conn.execute_dict(SQL)
         if not status:
             return internal_server_error(errormsg=res)
@@ -557,7 +560,8 @@ class ExtensionView(PGChildNodeView, SchemaDiffObjectCompare):
         res = dict()
 
         sql = render_template("/".join([self.template_path,
-                                        self._PROPERTIES_SQL]))
+                                        self._PROPERTIES_SQL]),
+                              conn=self.conn)
         status, rset = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=rset)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
index f8ae91ede..f62df5bef 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/tests/utils.py
@@ -11,7 +11,8 @@
 import sys
 import traceback
 
-from regression.python_test_utils.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection,\
+    set_isolation_level
 
 
 def get_extension_data(schema_name):
@@ -45,12 +46,12 @@ def create_extension(server, db_name, extension_name, schema_name):
                                        server['port'],
                                        server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute(
             '''CREATE EXTENSION "%s" SCHEMA "%s"''' % (extension_name,
                                                        schema_name))
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created extension
         pg_cursor.execute("SELECT oid FROM pg_catalog.pg_extension "
diff --git a/web/pgadmin/browser/server_groups/servers/databases/extensions/utils.py b/web/pgadmin/browser/server_groups/servers/databases/extensions/utils.py
index 4a1758bef..e8c3118f8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/extensions/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/extensions/utils.py
@@ -28,7 +28,7 @@ def get_extension_details(conn, ename, properties_sql=None):
             [ExtensionView.EXT_TEMPLATE_PATH, 'properties.sql'])
 
     status, rset = conn.execute_dict(
-        render_template(properties_sql, ename=ename)
+        render_template(properties_sql, ename=ename, conn=conn)
     )
 
     if status:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
index 8db8f2ecb..a09c89639 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/__init__.py
@@ -394,7 +394,7 @@ class ForeignDataWrapperView(PGChildNodeView, SchemaDiffObjectCompare):
             )
 
         sql = render_template("/".join([self.template_path, self._ACL_SQL]),
-                              fid=fid
+                              fid=fid, conn=self.conn
                               )
 
         status, fdw_acl_res = self.conn.execute_dict(sql)
@@ -815,7 +815,7 @@ class ForeignDataWrapperView(PGChildNodeView, SchemaDiffObjectCompare):
                 is_valid_options = True
 
         sql = render_template("/".join([self.template_path, self._ACL_SQL]),
-                              fid=fid)
+                              fid=fid, conn=self.conn)
         status, fdw_acl_res = self.conn.execute_dict(sql)
         if not status:
             return internal_server_error(errormsg=fdw_acl_res)
@@ -969,7 +969,7 @@ class ForeignDataWrapperView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template("/".join([self.template_path,
                                         self._PROPERTIES_SQL]),
-                              schema_diff=True)
+                              schema_diff=True, conn=self.conn)
         status, rset = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=rset)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
index 2c776fb85..285bc9974 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/__init__.py
@@ -382,7 +382,7 @@ class ForeignServerView(PGChildNodeView, SchemaDiffObjectCompare):
             )
 
         sql = render_template("/".join([self.template_path, self._ACL_SQL]),
-                              fsid=fsid
+                              fsid=fsid, conn=self.conn
                               )
         status, fs_rv_acl_res = self.conn.execute_dict(sql)
         if not status:
@@ -930,7 +930,7 @@ class ForeignServerView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template("/".join([self.template_path,
                                         self._PROPERTIES_SQL]),
-                              schema_diff=True)
+                              schema_diff=True, conn=self.conn)
         status, rset = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=rset)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py
index 68351a4c1..5a7321174 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/utils.py
@@ -13,7 +13,8 @@ import sys
 import uuid
 import json
 
-from regression.python_test_utils.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection,\
+    set_isolation_level
 
 file_name = os.path.basename(__file__)
 CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
@@ -74,14 +75,14 @@ def create_fsrv(server, db_name, fsrv_name, fdw_name):
                                        server['port'],
                                        server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute("CREATE SERVER {0} FOREIGN DATA WRAPPER {1} OPTIONS "
                           "(host '{2}', dbname '{3}', port '{4}')".format
                           (fsrv_name, fdw_name, server['host'], db_name,
                            server['port']))
 
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
 
         # Get 'oid' from newly created foreign server
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/tests/utils.py
index 2942a68e4..fd516de35 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mappings/tests/utils.py
@@ -13,7 +13,8 @@ import sys
 import traceback
 import json
 
-from regression.python_test_utils.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection,\
+    set_isolation_level
 
 CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
 with open(CURRENT_PATH + "/user_mapping_test_data.json") as data_file:
@@ -58,7 +59,7 @@ def create_user_mapping(server, db_name, fsrv_name):
                                        server['port'],
                                        server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE USER MAPPING FOR %s SERVER %s OPTIONS" \
                 " (user '%s', password '%s')" % (server['username'],
@@ -67,7 +68,7 @@ def create_user_mapping(server, db_name, fsrv_name):
                                                  server['db_password']
                                                  )
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created user mapping
         pg_cursor.execute(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py
index b58ce65d0..24e69af0d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/tests/utils.py
@@ -14,7 +14,8 @@ import uuid
 import json
 import os
 
-from regression.python_test_utils.test_utils import get_db_connection
+from regression.python_test_utils.test_utils import get_db_connection,\
+    set_isolation_level
 
 CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
 with open(CURRENT_PATH + "/fdw_test_data.json") as data_file:
@@ -66,11 +67,11 @@ def create_fdw(server, db_name, fdw_name):
                                        server['port'],
                                        server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         pg_cursor.execute('''CREATE FOREIGN DATA WRAPPER "%s"
         OPTIONS (op1 '5')''' % fdw_name)
-        connection.set_isolation_level(old_isolation_level)
+        set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get 'oid' from newly created foreign data wrapper
         pg_cursor.execute(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py
index 71746a57c..67bdf36eb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/__init__.py
@@ -260,7 +260,8 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
             did: Database ID
         """
         sql = render_template("/".join([self.template_path,
-                                        self._PROPERTIES_SQL]))
+                                        self._PROPERTIES_SQL]),
+                              conn=self.conn)
         status, res = self.conn.execute_dict(sql)
 
         if not status:
@@ -283,7 +284,8 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         res = []
         sql = render_template("/".join([self.template_path,
-                                        self._PROPERTIES_SQL]))
+                                        self._PROPERTIES_SQL]),
+                              conn=self.conn)
         status, result = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=result)
@@ -315,7 +317,8 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         sql = render_template("/".join([self.template_path,
                                         self._PROPERTIES_SQL]),
-                              lid=lid)
+                              lid=lid,
+                              conn=self.conn)
         status, result = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=result)
@@ -362,7 +365,7 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
-            lid=lid
+            lid=lid, conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
 
@@ -378,7 +381,7 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template(
             "/".join([self.template_path, self._ACL_SQL]),
-            lid=lid
+            lid=lid, conn=self.conn
         )
         status, result = self.conn.execute_dict(sql)
         if not status:
@@ -631,7 +634,8 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
 
         if lid is not None:
             sql = render_template(
-                "/".join([self.template_path, self._PROPERTIES_SQL]), lid=lid
+                "/".join([self.template_path, self._PROPERTIES_SQL]), lid=lid,
+                conn=self.conn
             )
             status, res = self.conn.execute_dict(sql)
             if not status:
@@ -722,7 +726,7 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
         """
         sql = render_template(
             "/".join([self.template_path, self._PROPERTIES_SQL]),
-            lid=lid
+            lid=lid, conn=self.conn
         )
         status, res = self.conn.execute_dict(sql)
         if not status:
@@ -736,7 +740,7 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
 
         sql = render_template(
             "/".join([self.template_path, self._ACL_SQL]),
-            lid=lid
+            lid=lid, conn=self.conn
         )
         status, result = self.conn.execute_dict(sql)
         if not status:
@@ -826,7 +830,8 @@ class LanguageView(PGChildNodeView, SchemaDiffObjectCompare):
         res = dict()
         sql = render_template("/".join([self.template_path,
                                         self._PROPERTIES_SQL]),
-                              schema_diff=True)
+                              schema_diff=True,
+                              conn=self.conn)
         status, rset = self.conn.execute_2darray(sql)
         if not status:
             return internal_server_error(errormsg=rset)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
index f785df836..ff819a013 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/tests/test_language_delete.py
@@ -53,7 +53,7 @@ class LanguagesDeleteTestCase(BaseTestGenerator):
                 expected_status_code = self.expected_data['status_code']
 
         elif self.error_in_deleting_language:
-            # with patch('pgadmin.utils.driver.psycopg2.connection.Connection'
+            # with patch('pgadmin.utils.driver.psycopg3.connection.Connection'
             #            '.execute_scalar',
             #            side_effect=[(True, True), (
             #                False, self.expected_data["message"])]):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py
index 6812f9782..0a3160403 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/publications/tests/utils.py
@@ -59,12 +59,12 @@ def create_publication(server, db_name, publication_name):
                                              server['port'],
                                              server['sslmode'])
         old_isolation_level = connection.isolation_level
-        connection.set_isolation_level(0)
+        utils.set_isolation_level(connection, 0)
         pg_cursor = connection.cursor()
         query = "CREATE publication %s FOR ALL TABLES" % \
                 (publication_name)
         pg_cursor.execute(query)
-        connection.set_isolation_level(old_isolation_level)
+        utils.set_isolation_level(connection, old_isolation_level)
         connection.commit()
         # Get role oid of newly added publication
         pg_cursor.execute("select oid from pg_catalog.pg_publication pub "
@@ -139,11 +139,11 @@ def delete_publication(server, db_name, publication_name):
         publication_count = pg_cursor.fetchone()
         if publication_count:
             old_isolation_level = connection.isolation_level
-            connection.set_isolation_level(0)
+            utils.set_isolation_level(connection, 0)
             pg_cursor = connection.cursor()
             query = "DROP publication %s" % publication_name
             pg_cursor.execute(query)
-            connection.set_isolation_level(old_isolation_level)
+            utils.set_isolation_level(connection, old_isolation_level)
             connection.commit()
         connection.close()
     except Exception:
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
index 09a82b398..df9982b53 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/__init__.py
@@ -412,7 +412,8 @@ class SchemaView(PGChildNodeView):
         SQL = render_template(
             "/".join([self.template_path, 'sql/acl.sql']),
             _=gettext,
-            scid=scid
+            scid=scid,
+            conn=self.conn
         )
         status, acl = self.conn.execute_dict(SQL)
         if not status:
@@ -518,7 +519,8 @@ class SchemaView(PGChildNodeView):
             show_sysobj=show_system_objects,
             _=gettext,
             scid=scid,
-            schema_restrictions=param
+            schema_restrictions=param,
+            conn=self.conn
         )
 
         status, rset = self.conn.execute_2darray(SQL)
@@ -578,7 +580,8 @@ class SchemaView(PGChildNodeView):
             "/".join([self.template_path, self._SQL_PREFIX + self._NODES_SQL]),
             show_sysobj=self.blueprint.show_system_objects,
             _=gettext,
-            scid=scid
+            scid=scid,
+            conn=self.conn
         )
 
         status, rset = self.conn.execute_2darray(SQL)
@@ -663,6 +666,17 @@ It may have been removed by another user.
             request.data, encoding='utf-8'
         )
 
+        for k, v in data.items():
+            try:
+                # comments should be taken as is because if user enters a
+                # json comment it is parsed by loads which should not happen
+                if k in ('comment',):
+                    data[k] = v
+                else:
+                    data[k] = json.loads(v, encoding='utf-8')
+            except (ValueError, TypeError, KeyError):
+                data[k] = v
+
         required_args = {
             'name': 'Name'
         }
@@ -695,7 +709,7 @@ It may have been removed by another user.
             # below sql will gives the same
             SQL = render_template(
                 "/".join([self.template_path, 'sql/oid.sql']),
-                schema=data['name'], _=gettext
+                schema=data['name'], _=gettext, conn=self.conn
             )
 
             status, scid = self.conn.execute_scalar(SQL)
@@ -991,7 +1005,7 @@ It may have been removed by another user.
 
         SQL = render_template(
             "/".join([self.template_path, 'sql/is_catalog.sql']),
-            scid=kwargs['scid'], _=gettext
+            scid=kwargs['scid'], _=gettext, conn=self.conn
         )
 
         status, res = self.conn.execute_dict(SQL)
